worker_processes auto;

events {
    worker_connections 1024;
}

http {
    server {
        listen 8080;
        server_name localhost mta-equipment.spreen.co;

        location /info.json {
            root /app;
            etag on;
            add_header Cache-Control "public, max-age=300";
            add_header CDN-Cache-Control "public, max-age=300";
            add_header Cloudflare-CDN-Cache-Control "public, max-age=300";
            expires 300s;
            
            # Enable Cloudflare Edge Cache
            add_header Cache-Tag "elevator-status";
        }
    }
}